
QGIS Application - Bug report #19677

Qgis crashes on opening new grass mapset using the grass plugin

2018-08-23 03:18 PM - samuel ngugi

Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:3.2 Regression?: Yes

Operating System: windows 10 pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 27502

Description

Hello, I have been trying to create a new mapset in Qgis 3.2.0 Bonn using the grass plugin, and selecting 'create new mapset.' When

trying to create a new GRASS 'location', Qgis crashes. I would like to know a solution since I have tried this repeatedly with the same

result.

Here is the backtrace:----------------------------------------------

User Feedback

Report Details

Crash ID: 6249da9efcf2c37fd2d0c2088398c589de12a117

Stack Trace

RtlRaiseStatus :

memset :

setjmpex :

G_fatal_error :

G_getenv :

read_datum_table :

GPJ_osr_to_grass :

GPJ_wkt_to_grass :

version :

version :

QMetaObject::activate :

QWizard::subTitleFormat :

QWizard::next :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :
DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.10240

Related issues:

Duplicates QGIS Application - Bug report # 19131: QGIS crashed while I was cr... Closed 2018-06-07

Duplicated by QGIS Application - Bug report # 20327: Grass crashes when try t... Open 2018-11-02

History

#1 - 2018-08-23 04:38 PM - Alexander Bruy

- Assignee deleted (Alexander Bruy)

#2 - 2018-08-23 06:57 PM - Giovanni Manghi

- Status changed from Open to Feedback

Works fine on master/linux.

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-11-11 02:00 PM - Jürgen Fischer

- Duplicates Bug report #19131: QGIS crashed while I was creating a new grass location added

#5 - 2018-11-11 02:01 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to duplicate

#6 - 2018-11-11 02:06 PM - Jürgen Fischer

- Duplicated by Bug report #20327: Grass crashes when try to create mapset added
